Debian Bug report logs - #638254
linux-image-3.0.0-1-686-pae: copying a large directory causes VirtualBox to hang when using 3.0.0-1 kernel

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Austin English <austinenglish@gmail.com>

Date: Thu, 18 Aug 2011 00:12:01 UTC

Severity: important

Tags: moreinfo

Found in version 3.0.0-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#638254; Package linux-2.6. (Thu, 18 Aug 2011 00:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Austin English <austinenglish@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 00:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Austin English <austinenglish@gmail.com>
To: submit@bugs.debian.org
Subject: linux-image-3.0.0-1-686-pae: copying a large directory causes VirtualBox to hang when using 3.0.0-1 kernel
Date: Wed, 17 Aug 2011 17:08:35 -0700
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 3.0.0-1
Severity: important

Regression from linux-image-2.6.32-5-686. I wanted to copy a directory
(the wine git repository). Doing this with the 3.0.0-1 kernel then
causes VirtualBox to shutdown the virtual machine. If I do this with
2.6.32-5, the directory copies without problems.
command used was:
$ cp -r wine-git wine-clang

VirtualBox version is 4.1.0, r73009. Host is Ubuntu 10.04.3, 32-bit.

attaching the VirtualBox log.

-- Package-specific info:
** Version:
Linux version 3.0.0-1-686-pae (Debian 3.0.0-1) (ben@decadent.org.uk)
(gcc version 4.5.3 (Debian 4.5.3-3) ) #1 SMP Sun Jul 24 14:27:32 UTC
2011

** Command line:
BOOT_IMAGE=/boot/vmlinuz-3.0.0-1-686-pae
root=UUID=45207e12-f947-41ba-b2d6-8c484240cb4d ro quiet

** Not tainted

** Kernel log:
[    1.201059] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    1.201061] usb usb1: New USB device strings: Mfr=3, Product=2,
SerialNumber=1
[    1.201063] usb usb1: Product: OHCI Host Controller
[    1.201064] usb usb1: Manufacturer: Linux 3.0.0-1-686-pae ohci_hcd
[    1.201065] usb usb1: SerialNumber: 0000:00:06.0
[    1.201142] hub 1-0:1.0: USB hub found
[    1.201152] hub 1-0:1.0: 8 ports detected
[    1.201595] e1000 0000:00:03.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[    1.304419] ata2.00: ATAPI: VBOX CD-ROM, 1.0, max UDMA/133
[    1.304877] ata2.00: configured for UDMA/33
[    1.305587] scsi 1:0:0:0: CD-ROM            VBOX     CD-ROM
  1.0  PQ: 0 ANSI: 5
[    1.608199] usb 1-1: new full speed USB device number 2 using ohci_hcd
[    1.637888] e1000 0000:00:03.0: eth0: (PCI:33MHz:32-bit) 08:00:27:4e:87:b7
[    1.637892] e1000 0000:00:03.0: eth0: Intel(R) PRO/1000 Network Connection
[    1.638015] ahci 0000:00:0d.0: version 3.0
[    1.638076] ahci 0000:00:0d.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
[    1.638242] ahci: SSS flag set, parallel bus scan disabled
[    1.638370] ahci 0000:00:0d.0: AHCI 0001.0100 32 slots 1 ports 3
Gbps 0x1 impl SATA mode
[    1.638375] ahci 0000:00:0d.0: flags: 64bit ncq stag only ccc
[    1.639235] scsi2 : ahci
[    1.639314] ata3: SATA max UDMA/133 abar m8192@0xf0806000 port
0xf0806100 irq 21
[    1.854840] usb 1-1: New USB device found, idVendor=80ee, idProduct=0021
[    1.854844] usb 1-1: New USB device strings: Mfr=1, Product=3, SerialNumber=0
[    1.854847] usb 1-1: Product: USB Tablet
[    1.854850] usb 1-1: Manufacturer: VirtualBox
[    1.956223] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    1.956456] ata3.00: ATA-6: VBOX HARDDISK, 1.0, max UDMA/133
[    1.956460] ata3.00: 31457280 sectors, multi 128: LBA48 NCQ (depth 31/32)
[    1.956794] ata3.00: configured for UDMA/133
[    1.957295] scsi 2:0:0:0: Direct-Access     ATA      VBOX HARDDISK
  1.0  PQ: 0 ANSI: 5
[    1.963722] sr0: scsi3-mmc drive: 32x/32x xa/form2 tray
[    1.963753] cdrom: Uniform CD-ROM driver Revision: 3.20
[    1.963955] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    1.969487] sd 2:0:0:0: [sda] 31457280 512-byte logical blocks:
(16.1 GB/15.0 GiB)
[    1.969564] sr 1:0:0:0: Attached scsi generic sg0 type 5
[    1.969549] sd 2:0:0:0: [sda] Write Protect is off
[    1.969552] sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    1.969576] sd 2:0:0:0: [sda] Write cache: enabled, read cache:
enabled, doesn't support DPO or FUA
[    1.969663] sd 2:0:0:0: Attached scsi generic sg1 type 0
[    1.970887]  sda: sda1 sda2 < sda5 >
[    1.972335] sd 2:0:0:0: [sda] Attached SCSI disk
[    1.996454] input: VirtualBox USB Tablet as
/devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input1
[    1.996602] generic-usb 0003:80EE:0021.0001: input,hidraw0: USB HID
v1.10 Mouse [VirtualBox USB Tablet] on usb-0000:00:06.0-1/input0
[    1.996644] usbcore: registered new interface driver usbhid
[    1.996647] usbhid: USB HID core driver
[    2.306899] PM: Starting manual resume from disk
[    2.306903] PM: Hibernation image partition 8:5 present
[    2.306905] PM: Looking for hibernation image.
[    2.307271] PM: Image not found (code -22)
[    2.307273] PM: Hibernation image not present or could not be loaded.
[    2.319395] EXT3-fs: barriers not enabled
[    2.319940] kjournald starting.  Commit interval 5 seconds
[    2.320057] EXT3-fs (sda1): mounted filesystem with ordered data mode
[    2.606002] udevd[246]: starting version 172
[    2.710465] input: Power Button as
/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    2.710468] ACPI: Power Button [PWRF]
[    2.710530] input: Sleep Button as
/devices/LNXSYSTM:00/LNXSLPBN:00/input/input3
[    2.710532] ACPI: Sleep Button [SLPF]
[    2.730882] input: PC Speaker as /devices/platform/pcspkr/input/input4
[    2.737111] parport_pc 00:04: reported by Plug and Play ACPI
[    2.737422] piix4_smbus 0000:00:07.0: SMBus base address
uninitialized - upgrade BIOS or use force_addr=0xaddr
[    2.738403] input: ImExPS/2 Generic Explorer Mouse as
/devices/platform/i8042/serio1/input/input5
[    2.744976] ACPI: AC Adapter [AC] (on-line)
[    2.745620] ACPI: acpi_idle registered with cpuidle
[    2.780432] Intel ICH 0000:00:05.0: PCI INT A -> GSI 21 (level,
low) -> IRQ 21
[    3.196333] intel8x0_measure_ac97_clock: measured 52667 usecs (12291 samples)
[    3.196337] intel8x0: measured clock 233371 rejected
[    3.556205] intel8x0_measure_ac97_clock: measured 55950 usecs (12159 samples)
[    3.556208] intel8x0: measured clock 217319 rejected
[    3.917356] intel8x0_measure_ac97_clock: measured 56236 usecs (12333 samples)
[    3.917366] intel8x0: measured clock 219307 rejected
[    3.917376] intel8x0: clocking to 48000
[    4.177249] Adding 688124k swap on /dev/sda5.  Priority:-1
extents:1 across:688124k
[    4.226060] EXT3-fs (sda1): using internal journal
[    4.262290] loop: module loaded
[    4.880912] RPC: Registered named UNIX socket transport module.
[    4.880916] RPC: Registered udp transport module.
[    4.880918] RPC: Registered tcp transport module.
[    4.880920] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    4.893628] FS-Cache: Loaded
[    4.901257] FS-Cache: Netfs 'nfs' registered for caching
[    4.908179] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[    5.004272] fuse init (API version 7.16)
[    5.906647] Bluetooth: Core ver 2.16
[    5.906670] NET: Registered protocol family 31
[    5.906671] Bluetooth: HCI device and connection manager initialized
[    5.906673] Bluetooth: HCI socket layer initialized
[    5.906674] Bluetooth: L2CAP socket layer initialized
[    5.906835] Bluetooth: SCO socket layer initialized
[    5.924624] lp: driver loaded but no devices found
[    5.926791] Bluetooth: RFCOMM TTY layer initialized
[    5.926795] Bluetooth: RFCOMM socket layer initialized
[    5.926796] Bluetooth: RFCOMM ver 1.11
[    5.929127] ppdev: user-space parallel port driver
[    5.940532] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    5.940533] Bluetooth: BNEP filters: protocol multicast
[    6.081236] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow
Control: RX
[    6.081697] ADDRCONF(NETDEV_UP): eth0: link is not ready
[    6.081786] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   16.560072] eth0: no IPv6 routers present

** Model information
not available

** Loaded modules:
Module                  Size  Used by
bnep                   17301  2
ppdev                  12651  0
rfcomm                 28700  0
lp                     12894  0
bluetooth              94736  10 bnep,rfcomm
mperf                  12421  0
rfkill                 18522  3 bluetooth
crc16                  12327  1 bluetooth
cpufreq_userspace      12520  0
cpufreq_stats          12758  0
cpufreq_powersave      12422  0
cpufreq_conservative    12987  0
binfmt_misc            12880  1
fuse                   56331  1
nfsd                  197933  2
nfs                   218404  0
lockd                  61314  2 nfsd,nfs
fscache                31952  1 nfs
auth_rpcgss            32183  2 nfsd,nfs
nfs_acl                12463  2 nfsd,nfs
sunrpc                139050  6 nfsd,nfs,lockd,auth_rpcgss,nfs_acl
loop                   17866  0
joydev                 17006  0
snd_intel8x0           22382  1
snd_ac97_codec         84197  1 snd_intel8x0
ac97_bus               12462  1 snd_ac97_codec
snd_pcm                53315  2 snd_intel8x0,snd_ac97_codec
evdev                  12995  8
snd_seq                39539  0
snd_timer              22027  2 snd_pcm,snd_seq
snd_seq_device         12985  1 snd_seq
processor              27382  0
ac                     12552  0
power_supply           13283  1 ac
snd                    38562  8
snd_intel8x0,snd_ac97_codec,snd_pcm,snd_seq,snd_timer,snd_seq_device
i2c_piix4              12480  0
parport_pc             22059  0
i2c_core               19141  1 i2c_piix4
parport                27241  3 ppdev,lp,parport_pc
psmouse                46216  0
soundcore              12992  1 snd
snd_page_alloc         12899  2 snd_intel8x0,snd_pcm
pcspkr                 12515  0
thermal_sys            17677  1 processor
serio_raw              12734  0
button                 12810  0
ext3                   99597  1
jbd                    42027  1 ext3
mbcache                12898  1 ext3
sg                     21564  0
sd_mod                 35493  3
crc_t10dif             12332  1 sd_mod
sr_mod                 17478  0
usbhid                 31584  0
hid                    60152  1 usbhid
cdrom                  34689  1 sr_mod
ahci                   20897  2
ata_generic            12439  0
libahci                18231  1 ahci
e1000                  84737  0
ohci_hcd               22072  0
ehci_hcd               35401  0
ata_piix               21110  0
usbcore               104234  4 usbhid,ohci_hcd,ehci_hcd
libata                133339  4 ahci,ata_generic,libahci,ata_piix
scsi_mod              135178  4 sg,sd_mod,sr_mod,libata

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
#NetworkManager#iface eth0 inet dhcp

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
   link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
   inet 127.0.0.1/8 scope host lo
   inet6 ::1/128 scope host
      valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast
state UP qlen 1000
   link/ether 08:00:27:4e:87:b7 brd ff:ff:ff:ff:ff:ff
   inet 10.0.2.15/24 brd 10.0.2.255 scope global eth0
   inet6 fe80::a00:27ff:fe4e:87b7/64 scope link
      valid_lft forever preferred_lft forever

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed
multicast|bytes    packets errs drop fifo colls carrier compressed
   lo:       0       0    0    0    0     0          0         0
 0       0    0    0    0     0       0          0
 eth0:    8956      27    0    0    0     0          0         0
10970      69    0    0    0     0       0          0

*** Protocol statistics:
Ip:
   43 total packets received
   2 with invalid addresses
   0 forwarded
   0 incoming packets discarded
   41 incoming packets delivered
   44 requests sent out
   8 dropped because of missing route
Icmp:
   0 ICMP messages received
   0 input ICMP message failed.
   ICMP input histogram:
   0 ICMP messages sent
   0 ICMP messages failed
   ICMP output histogram:
Tcp:
   3 active connections openings
   0 passive connection openings
   0 failed connection attempts
   0 connection resets received
   0 connections established
   15 segments received
   16 segments send out
   0 segments retransmited
   0 bad segments received.
   0 resets sent
Udp:
   26 packets received
   0 packets to unknown port received.
   0 packet receive errors
   26 packets sent
UdpLite:
TcpExt:
   1 TCP sockets finished time wait in fast timer
   4 packet headers predicted
   3 acknowledgments not containing data payload received
   3 predicted acknowledgments
IpExt:
   InMcastPkts: 18
   OutMcastPkts: 20
   InOctets: 12081
   OutOctets: 5491
   InMcastOctets: 3595
   OutMcastOctets: 3675

*** Device features:
eth0: 0x40014b89
lo: 0xa01b7c65

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 440FX - 82441FX PMC
[Natoma] [8086:1237] (rev 02)
       Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.0 ISA bridge [0601]: Intel Corporation 82371SB PIIX3 ISA
[Natoma/Triton II] [8086:7000]
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
       Latency: 0

00:01.1 IDE interface [0101]: Intel Corporation 82371AB/EB/MB PIIX4
IDE [8086:7111] (rev 01) (prog-if 8a [Master SecP PriP])
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
       Latency: 64
       Region 0: [virtual] Memory at 000001f0 (32-bit,
non-prefetchable) [size=8]
       Region 1: [virtual] Memory at 000003f0 (type 3,
non-prefetchable) [size=1]
       Region 2: [virtual] Memory at 00000170 (32-bit,
non-prefetchable) [size=8]
       Region 3: [virtual] Memory at 00000370 (type 3,
non-prefetchable) [size=1]
       Region 4: I/O ports at d000 [size=16]
       Kernel driver in use: ata_piix

00:02.0 VGA compatible controller [0300]: InnoTek Systemberatung GmbH
VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
       Latency: 0
       Interrupt: pin A routed to IRQ 11
       Region 0: Memory at e0000000 (32-bit, prefetchable) [size=32M]
       Expansion ROM at <unassigned> [disabled]

00:03.0 Ethernet controller [0200]: Intel Corporation 82540EM Gigabit
Ethernet Controller [8086:100e] (rev 02)
       Subsystem: Intel Corporation PRO/1000 MT Desktop Adapter [8086:001e]
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
       Latency: 64 (63750ns min)
       Interrupt: pin A routed to IRQ 19
       Region 0: Memory at f0000000 (32-bit, non-prefetchable) [size=128K]
       Region 2: I/O ports at d010 [size=8]
       Capabilities: <access denied>
       Kernel driver in use: e1000

00:04.0 System peripheral [0880]: InnoTek Systemberatung GmbH
VirtualBox Guest Service [80ee:cafe]
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
       Latency: 0
       Interrupt: pin A routed to IRQ 9
       Region 0: I/O ports at d020 [size=32]
       Region 1: Memory at f0400000 (32-bit, non-prefetchable) [size=4M]
       Region 2: Memory at f0800000 (32-bit, prefetchable) [size=16K]

00:05.0 Multimedia audio controller [0401]: Intel Corporation 82801AA
AC'97 Audio Controller [8086:2415] (rev 01)
       Subsystem: Intel Corporation Device [8086:0000]
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
       Latency: 64
       Interrupt: pin A routed to IRQ 21
       Region 0: I/O ports at d100 [size=256]
       Region 1: I/O ports at d200 [size=64]
       Kernel driver in use: Intel ICH

00:06.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid
USB [106b:003f] (prog-if 10 [OHCI])
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
       Latency: 64
       Interrupt: pin A routed to IRQ 22
       Region 0: Memory at f0804000 (32-bit, non-prefetchable) [size=4K]
       Kernel driver in use: ohci_hcd

00:07.0 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI
[8086:7113] (rev 08)
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
       Latency: 0
       Interrupt: pin A routed to IRQ 9

00:0d.0 SATA controller [0106]: Intel Corporation 82801HBM/HEM
(ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 02) (prog-if 01
[AHCI 1.0])
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B- DisINTx-
       Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
       Latency: 64
       Interrupt: pin A routed to IRQ 21
       Region 0: I/O ports at d240 [size=8]
       Region 1: I/O ports at <ignored>
       Region 2: I/O ports at d250 [size=8]
       Region 3: I/O ports at <ignored>
       Region 4: I/O ports at d260 [size=16]
       Region 5: Memory at f0806000 (32-bit, non-prefetchable) [size=8K]
       Capabilities: <access denied>
       Kernel driver in use: ahci


** USB devices:
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet


-- System Information:
Debian Release: wheezy/sid
 APT prefers testing
 APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.0.0-1-686-pae depends on:
ii  debconf [debconf-2.0]         1.5.40     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.99       tools for generating an initramfs
ii  linux-base                    3.3        Linux image base package
ii  module-init-tools             3.16-1     tools for managing Linux kernel mo

Versions of packages linux-image-3.0.0-1-686-pae recommends:
ii  firmware-linux-free           3          Binary firmware for various driver
ii  libc6-i686                    2.13-10    Embedded GNU C Library: Shared lib

Versions of packages linux-image-3.0.0-1-686-pae suggests:
ii  grub-pc                       1.99-11    GRand Unified Bootloader, version
pn  linux-doc-3.0.0               <none>     (no description available)

Versions of packages linux-image-3.0.0-1-686-pae is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
 linux-image-3.0.0-1-686-pae/prerm/removing-running-kernel-3.0.0-1-686-pae: true
 linux-image-3.0.0-1-686-pae/postinst/ignoring-ramdisk:
 linux-image-3.0.0-1-686-pae/postinst/missing-firmware-3.0.0-1-686-pae:
 linux-image-3.0.0-1-686-pae/postinst/depmod-error-initrd-3.0.0-1-686-pae: false
[VBox.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#638254; Package linux-2.6. (Thu, 18 Aug 2011 00:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 00:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 638254@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Austin English <austinenglish@gmail.com>, 638254@bugs.debian.org
Subject: Re: Bug#638254: linux-image-3.0.0-1-686-pae: copying a large directory causes VirtualBox to hang when using 3.0.0-1 kernel
Date: Thu, 18 Aug 2011 01:35:43 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-08-17 at 17:08 -0700, Austin English wrote:
> Package: linux-2.6
> Version: 3.0.0-1
> Severity: important
> 
> Regression from linux-image-2.6.32-5-686. I wanted to copy a directory
> (the wine git repository). Doing this with the 3.0.0-1 kernel then
> causes VirtualBox to shutdown the virtual machine.
[...]

What does that mean?  Does VirtualBox crash, or does it report an error?

Ben.

[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 18 Aug 2011 00:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#638254; Package linux-2.6. (Thu, 18 Aug 2011 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Austin English <austinenglish@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 00:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 638254@bugs.debian.org (full text, mbox):

From: Austin English <austinenglish@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 638254@bugs.debian.org
Subject: Re: Bug#638254: linux-image-3.0.0-1-686-pae: copying a large directory causes VirtualBox to hang when using 3.0.0-1 kernel
Date: Wed, 17 Aug 2011 17:39:13 -0700
On Wed, Aug 17, 2011 at 17:35, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Wed, 2011-08-17 at 17:08 -0700, Austin English wrote:
>> Package: linux-2.6
>> Version: 3.0.0-1
>> Severity: important
>>
>> Regression from linux-image-2.6.32-5-686. I wanted to copy a directory
>> (the wine git repository). Doing this with the 3.0.0-1 kernel then
>> causes VirtualBox to shutdown the virtual machine.
> [...]
>
> What does that mean?  Does VirtualBox crash, or does it report an error?
>
> Ben.

It reports an error, saying the VM is unstable and needs to be
shutdown. You can choose to ignore the error, but the VM is then
completely nonresponsive.

-- 
-Austin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#638254; Package linux-2.6. (Thu, 18 Aug 2011 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 00:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 638254@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Austin English <austinenglish@gmail.com>
Cc: 638254@bugs.debian.org
Subject: Re: Bug#638254: linux-image-3.0.0-1-686-pae: copying a large directory causes VirtualBox to hang when using 3.0.0-1 kernel
Date: Thu, 18 Aug 2011 01:46:47 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-08-17 at 17:39 -0700, Austin English wrote:
> On Wed, Aug 17, 2011 at 17:35, Ben Hutchings <ben@decadent.org.uk> wrote:
> > On Wed, 2011-08-17 at 17:08 -0700, Austin English wrote:
> >> Package: linux-2.6
> >> Version: 3.0.0-1
> >> Severity: important
> >>
> >> Regression from linux-image-2.6.32-5-686. I wanted to copy a directory
> >> (the wine git repository). Doing this with the 3.0.0-1 kernel then
> >> causes VirtualBox to shutdown the virtual machine.
> > [...]
> >
> > What does that mean?  Does VirtualBox crash, or does it report an error?
> >
> > Ben.
> 
> It reports an error, saying the VM is unstable and needs to be
> shutdown. You can choose to ignore the error, but the VM is then
> completely nonresponsive.

Does it have any sort of log or details of what the error is?

Ben.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#638254; Package linux-2.6. (Thu, 18 Aug 2011 01:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Austin English <austinenglish@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 01:27:08 GMT) Full text and rfc822 format available.

Message #27 received at 638254@bugs.debian.org (full text, mbox):

From: Austin English <austinenglish@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 638254@bugs.debian.org
Subject: Re: Bug#638254: linux-image-3.0.0-1-686-pae: copying a large directory causes VirtualBox to hang when using 3.0.0-1 kernel
Date: Wed, 17 Aug 2011 18:22:31 -0700
[Message part 1 (text/plain, inline)]
On Wed, Aug 17, 2011 at 17:46, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Wed, 2011-08-17 at 17:39 -0700, Austin English wrote:
>> On Wed, Aug 17, 2011 at 17:35, Ben Hutchings <ben@decadent.org.uk> wrote:
>> > On Wed, 2011-08-17 at 17:08 -0700, Austin English wrote:
>> >> Package: linux-2.6
>> >> Version: 3.0.0-1
>> >> Severity: important
>> >>
>> >> Regression from linux-image-2.6.32-5-686. I wanted to copy a directory
>> >> (the wine git repository). Doing this with the 3.0.0-1 kernel then
>> >> causes VirtualBox to shutdown the virtual machine.
>> > [...]
>> >
>> > What does that mean?  Does VirtualBox crash, or does it report an error?
>> >
>> > Ben.
>>
>> It reports an error, saying the VM is unstable and needs to be
>> shutdown. You can choose to ignore the error, but the VM is then
>> completely nonresponsive.
>
> Does it have any sort of log or details of what the error is?
>
> Ben.

Log was attached, here's a second one that was made when this screenshot was.

-- 
-Austin
[VBox.log (text/plain, attachment)]
[Screenshot.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#638254; Package linux-2.6. (Thu, 18 Aug 2011 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 01:42:03 GMT) Full text and rfc822 format available.

Message #32 received at 638254@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Austin English <austinenglish@gmail.com>
Cc: 638254@bugs.debian.org
Subject: Re: linux-image-3.0.0-1-686-pae: copying a large directory causes VirtualBox to hang when using 3.0.0-1 kernel
Date: Wed, 17 Aug 2011 20:39:47 -0500
Austin English wrote:

> Log was attached, here's a second one that was made when this screenshot was.

Does the guest remember what happened (e.g., in syslog or
/var/log/kern.log*)?  If not, maybe it is still possible to get the
guest to log to the host during failure (see rsyslogd.conf(5), section
"Remote machine"), or to increase the loglevel and read messages from
the screen (by going to a non-graphical console and running something
like

	echo 9 >/proc/sys/kernel/printk
	echo 50 >/proc/sys/kernel/printk_delay

).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#638254; Package linux-2.6. (Thu, 18 Aug 2011 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Austin English <austinenglish@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 02:09:03 GMT) Full text and rfc822 format available.

Message #37 received at 638254@bugs.debian.org (full text, mbox):

From: Austin English <austinenglish@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 638254@bugs.debian.org
Subject: Re: linux-image-3.0.0-1-686-pae: copying a large directory causes VirtualBox to hang when using 3.0.0-1 kernel
Date: Wed, 17 Aug 2011 19:04:51 -0700
On Wed, Aug 17, 2011 at 18:39, Jonathan Nieder <jrnieder@gmail.com> wrote:
> Austin English wrote:
>
>> Log was attached, here's a second one that was made when this screenshot was.
>
> Does the guest remember what happened (e.g., in syslog or
> /var/log/kern.log*)?  If not, maybe it is still possible to get the
> guest to log to the host during failure (see rsyslogd.conf(5), section
> "Remote machine"), or to increase the loglevel and read messages from
> the screen (by going to a non-graphical console and running something
> like
>
>        echo 9 >/proc/sys/kernel/printk
>        echo 50 >/proc/sys/kernel/printk_delay
>
> ).

Nothing shows in /var/log/kern.log* or /var/log/syslog*

I tried the commands listed, set the copy going, then switched to
VTERM1, with tail -f /var/log/kern.log running, but nothing showed.
When disk activity stopped, I returned to the GUI, where the copy had
succeeded. I removed the directory, and ran it a second time, when it
immediately hung.

After a reboot, still nothing in either log.

-- 
-Austin




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 18 Aug 2011 02:33:05 GMT) Full text and rfc822 format available.

Notification sent to Austin English <austinenglish@gmail.com>:
Bug acknowledged by developer. (Thu, 18 Aug 2011 02:33:06 GMT) Full text and rfc822 format available.

Message #42 received at 638254-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 638254-done@bugs.debian.org
Subject: Re: Bug#638254: linux-image-3.0.0-1-686-pae: copying a large directory causes VirtualBox to hang when using 3.0.0-1 kernel
Date: Thu, 18 Aug 2011 03:32:17 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-08-17 at 18:22 -0700, Austin English wrote:
> On Wed, Aug 17, 2011 at 17:46, Ben Hutchings <ben@decadent.org.uk> wrote:
> > On Wed, 2011-08-17 at 17:39 -0700, Austin English wrote:
> >> On Wed, Aug 17, 2011 at 17:35, Ben Hutchings <ben@decadent.org.uk> wrote:
> >> > On Wed, 2011-08-17 at 17:08 -0700, Austin English wrote:
> >> >> Package: linux-2.6
> >> >> Version: 3.0.0-1
> >> >> Severity: important
> >> >>
> >> >> Regression from linux-image-2.6.32-5-686. I wanted to copy a directory
> >> >> (the wine git repository). Doing this with the 3.0.0-1 kernel then
> >> >> causes VirtualBox to shutdown the virtual machine.
> >> > [...]
> >> >
> >> > What does that mean?  Does VirtualBox crash, or does it report an error?
> >> >
> >> > Ben.
> >>
> >> It reports an error, saying the VM is unstable and needs to be
> >> shutdown. You can choose to ignore the error, but the VM is then
> >> completely nonresponsive.
> >
> > Does it have any sort of log or details of what the error is?
> >
> > Ben.
> 
> Log was attached,

Sorry, I missed that.  It doesn't seem to show any relevant information,
though.

>  here's a second one that was made when this screenshot was.

This one has:

01:07:22.869 !!                 Guru Meditation -228 (VERR_INTERNAL_ERROR_4)

which seems to indicate a bug in VirtualBox, not the guest kernel.  Also
the dialog in the screenshot clearly says you should report this against
VirtualBox.

You should report the bug to the VirtualBox developers, or on Launchpad
if you are using an Ubuntu package of it.

Ben.

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Sep 2011 07:34:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:32:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.